angular.module('IDRMAGISOFT').controller('SubserviciosController', InitController);
InitController.$inject = ['$scope', '$state', '$sessionStorage', 'servicios', '$interval','$http'];
function InitController($scope, $state, $sessionStorage, servicios, $interval,$http) {
   
    var contarTimer = 0;
    /*var intervalVolver = $interval(function () {
        contarTimer++;
        if (contarTimer == 12) {
            contarTimer = 0;
            $interval.cancel(intervalVolver);
            $state.go("index");
        }
    }, 60000000);*/

    $http.get("app/model/Servidor.php?accion=CargarSubservicios&idservicio="
    +$sessionStorage.IdServicio
    +"&MostrarSC="
    +$sessionStorage.MostrarSC
    +"&MostrarEntrega="+
    $sessionStorage.MostrarEntrega)
        .then(function (response) {
            var NumServicios = response.data.Conteo;
            if (NumServicios <= 6) {
                $scope.anchor = "60%;";
                $scope.felxDirection = "column;";
                $scope.flexwrap = "";
            } else {
                $scope.anchor = "45%;";
                $scope.flexwrap = "wrap";
                $scope.felxDirection = "column;";
            }
            $scope.Subservicios = response.data.SubServicios;
    });

    $scope.ClicSubservicio = function (idservicio, servicio, idrelacionServicio) {
        $http.get("app/model/Servidor.php?accion=SeleccionarPrioridades&idservicio="+idservicio)
        .then(function (response) {
            $sessionStorage.IdServicio = idservicio;
            $sessionStorage.Prioridad = response.data.prioridades;
            $sessionStorage.idrelacionServicio = idrelacionServicio;
            //$interval.cancel(intervalVolver);
            $state.go("Prioridades");
        });
    }

    $scope.RegresarInicio = function(){
        contarTimer = 0;
        //$interval.cancel(intervalVolver);
        $state.go("index");
    }
    
}